package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.FormeRepository;
import com.realnet.basicp1.Entity.Forme;import java.util.List;
import java.util.ArrayList;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;import org.springframework.data.domain.Pageable;
import org.springframework.http.ResponseEntity;
import com.realnet.users.service1.AppUserServiceImpl;
import org.springframework.http.HttpStatus;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class FormeService {
@Autowired
private FormeRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Forme Savedata(Forme data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Forme save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Forme> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Forme> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Forme> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Forme getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Forme update(Forme data,Integer id) {
	Forme old = Repository.findById(id).get();
old.setName(data.getName());


 
old.setKk(data.getKk());
 

 
old.setBb(data.getBb());
 

  

old.setChild(data.getChild());



final Forme test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
